SpriteLibrary
SpriteLibrary
SpriteLibrary
AnimationInfo Class
AnimationType Enumeration
Sprite Class
Sprite.SpriteEventHandler Delegate
SpriteAdjustmentRatio Structure
SpriteCollisionMethod Enumeration
SpriteController Class
SpriteDatabase Class
SpriteEventArgs Class
SpriteInfo Class
SpriteKeyEventHandler Delegate
SpritePauseType Enumeration
SpritePayload Class

# SpritePauseType Enumeration

The type of pause signals you can give a sprite or the sprite controller

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.6 (1.0.0.6)
Syntax
C#
Copy

    public enum SpritePauseType

Members

| Member name | Value | Description
--- | --- | --- | ---
| PauseAnimation | 0 | Pause the animating. Animation resumes from the current frame when we unpause. A paused animation will continue to display the same image frame until it is unpaused.
| PauseMovement | 1 | Pause any automatic movement. Movement resumes where it was left off if you unpause. The sprite will just sit there until unpaused.
| PauseEvents | 2 | Pause events. Sprite collisions, movement checks, etc are stopped until the unpause.
| PauseAll | 3 | All pausable things are paused. PauseAnimation, PauseMovement, and PauseEvents.

See Also

#### Reference

SpriteLibrary Namespace